Name:           sopwith
Version:        1.7.1
Release:        1
Epoch:          0
Summary:        SDL port of sopwith

Group:          Amusements/Games
License:        GPL
URL:            http://sdl-sopwith.sourceforge.net/
Source0:        http://dl.sf.net/sdl-sopwith/sdl_sopwith-1.7.1.tar.gz
Source1:        sopwith.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# -----------------------------------------------------------------------------

BuildRequires:  gtk2-devel, SDL-devel, desktop-file-utils

%description
This is a port of the classic computer game "Sopwith" to run on modern 
computers and operating systems. 

# -----------------------------------------------------------------------------

%prep
%setup -q -n sdl_sopwith-%{version}

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_docdir}/sopwith

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Gtk+ Sopwith
Type=Application
Comment=The classic sopwith game
Exec=gtksopwith
Terminal=false
Icon=sopwith.png
EOF

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Game                                  \
  %{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ NEWS README TODO doc/keys.txt doc/origdoc.txt doc/readme.txt
%{_bindir}/sopwith
%{_bindir}/gtksopwith
%{_mandir}/man6/sopwith*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

# -----------------------------------------------------------------------------

%changelog
* Wed Jun 18 2003 Adrian Reber <adrian@lisas.de> - 0:1.7.1-0.fdr.1
- updated to 1.7.1
- changed category from desktop entry from "Games" to "Game"
- changed description
- removed redundant and useless documentation

* Sun Jun 08 2003 Adrian Reber <adrian@lisas.de> - 0:1.7.0-0.fdr.1
- Initial RPM release.
